Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.launchmystore.io/metafield-definitions/:id \ --header 'Authorization: Bearer <token>'
Fetch one metafield definition by id. Admin API only.
curl "https://api.launchmystore.io/metafield-definitions/<id>" \ -H "Authorization: Bearer <merchant-jwt>"
{ "status": 200, "state": "success", "data": { "id": "f7e3a920-...", "namespace": "custom", "key": "warranty_years", "name": "Warranty (years)", "description": "How many years of warranty are included", "type": "number_integer", "owner_type": "product", "validations": { "min": 0, "max": 25 }, "pinned": true, "app_id": null, "created_at": "2026-05-09T13:30:00.000Z", "updated_at": "2026-05-09T13:30:00.000Z" } }
UNAUTHORIZED
FORBIDDEN
NOT_FOUND